using Newtonsoft.Json;

namespace isnd.Data.Catalog
{
    public class HappyIdOwner
    {
        public HappyIdOwner(string id)
        {
            this.id = id;
        }

       
        private string id;

        public string GetId() { return id; }
        
        public override bool Equals(object obj)
        {
            if (obj!=null)
            {
                if (GetType().IsAssignableFrom(obj.GetType()))
                {
                    var rpobj = (HappyIdOwner) obj;
                    return this.id == rpobj.id;
                }
            }
            return base.Equals(obj);
        }

        public override int GetHashCode()
        {
            return id.GetHashCode();
        }
    }
}